"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchTrait = exports.fetchSpecialization = exports.fetchSkill = exports.fetchItem = void 0;

var _constants = require("./constants");

var fetchItem = function fetchItem(id) {
  return {
    type: _constants.FETCH_ITEM,
    request: {
      url: "/items/".concat(id)
    },
    meta: {
      cache: true,
      requestKey: "".concat(id)
    }
  };
};

exports.fetchItem = fetchItem;

var fetchSkill = function fetchSkill(id) {
  return {
    type: _constants.FETCH_SKILL,
    request: {
      url: "/skills/".concat(id)
    },
    meta: {
      cache: true,
      requestKey: "".concat(id)
    }
  };
};

exports.fetchSkill = fetchSkill;

var fetchSpecialization = function fetchSpecialization(id) {
  return {
    type: _constants.FETCH_SPECIALIZATION,
    request: {
      url: "/specializations/".concat(id)
    },
    meta: {
      cache: true,
      requestKey: "".concat(id)
    }
  };
};

exports.fetchSpecialization = fetchSpecialization;

var fetchTrait = function fetchTrait(id) {
  return {
    type: _constants.FETCH_TRAIT,
    request: {
      url: "/traits/".concat(id)
    },
    meta: {
      cache: true,
      requestKey: "".concat(id)
    }
  };
};

exports.fetchTrait = fetchTrait;
//# sourceMappingURL=actions.js.map